package com.miaxis.test;


import com.miaxis.ZzjsApplication;
import com.miaxis.question.domain.QuestionInfoKtGet;
import com.miaxis.question.service.IQuestionInfoKtGetService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.io.*;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.List;


@SpringBootTest(classes = ZzjsApplication.class)
@RunWith(SpringRunner.class)
public class KTRename {


    @Autowired
    private IQuestionInfoKtGetService questionInfoGetService;

    @Test
    public void testExcel() throws Exception {

        String saveDir = "G:\\中正\\题库图\\不要水印背景2";
        File winDir = new File("G:\\中正\\题库图\\不要水印背景");
        File[] files = winDir.listFiles();

        for (int i = 0; i < files.length; i++) {
            System.out.println(files[i]);
            InputStream is = new FileInputStream(files[i]);
            System.out.println(files[i].getName());

            String fileName = files[i].getName();
            String fileNameNew = "explain"+fileName;

            File file = new File(saveDir + File.separator + fileNameNew);

            //获取自己数组
            byte[] getData = readInputStream(is);
            FileOutputStream fos = new FileOutputStream(file);
            fos.write(getData);
            if (fos != null) {
                fos.close();
            }
            if (is != null) {
                is.close();
            }
        }

       // downLoadFromUrl(mediaUrl, fileName, "G:\\中正\\题库图\\kt\\explain_js_mp3"); //要修改

    }

    public static void downLoadFromUrl(String urlStr, String fileName, String savePath) throws IOException {
        URL url = new URL(urlStr);
        HttpURLConnection conn = (HttpURLConnection) url.openConnection();
        //设置超时间为3秒
        conn.setConnectTimeout(3 * 1000);
        //防止屏蔽程序抓取而返回403错误
        conn.setRequestProperty("User-Agent", "Mozilla/4.0 (compatible; MSIE 5.0; Windows NT; DigExt)");
        //得到输入流
        InputStream inputStream = conn.getInputStream();

        //获取自己数组
        byte[] getData = readInputStream(inputStream);

        //文件保存位置
        File saveDir = new File(savePath);
        if (!saveDir.exists()) {
            saveDir.mkdir();
        }
        int index = fileName.lastIndexOf(".");
        String first = fileName.substring(0, index);
        String lastName = fileName.substring(index);
        System.out.println(fileName);
        System.out.println(first);
        first += lastName; //要修改
        System.out.println(first);

        File file = new File(saveDir + File.separator + first);

        FileOutputStream fos = new FileOutputStream(file);

        fos.write(getData);

        if (fos != null) {
            fos.close();
        }
        if (inputStream != null) {

            inputStream.close();
        }
        System.out.println("info:" + url + " download success");
    }


    /**
     * 从输入流中获取字节数组
     *
     * @param inputStream
     * @return
     * @throws IOException
     */
    public static byte[] readInputStream(InputStream inputStream) throws IOException {

        byte[] buffer = new byte[1024];

        int len = 0;

        ByteArrayOutputStream bos = new ByteArrayOutputStream();
        while ((len = inputStream.read(buffer)) != -1) {
            bos.write(buffer, 0, len);
        }
        bos.close();

        return bos.toByteArray();

    }

    public static void main(String[] args) throws Exception {

        KTRename t = new KTRename();
        t.testExcel();

    }


}
