package com.miaxis.question.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 * 202204题库对象 question_info_two
 *
 * @author miaxis
 * @date 2022-03-28
 */
@Data
@TableName("question_info_two")
@ApiModel(value = "QuestionInfoTwo", description = "202204题库对象 question_info_two")
public class QuestionInfoTwo extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 一点通id字段 */
    @TableField("num")
    @ApiModelProperty(value = "一点通id字段")
    private Long num;

    /** 题目名 */
    @TableField("name")
    @ApiModelProperty(value = "题目名")
    private String name;

    /** 图片 */
    @TableField("image")
    @ApiModelProperty(value = "图片")
    private String image;

    /** 正确答案 */
    @TableField("right_answer")
    @ApiModelProperty(value = "正确答案")
    private Long rightAnswer;

    /** 解释 */
    @TableField("explain_js")
    @ApiModelProperty(value = "解释")
    private String explainJs;

    /** 类型 */
    @TableField("type")
    @ApiModelProperty(value = "类型")
    private Long type;

    /** 答案1 */
    @TableField("an1")
    @ApiModelProperty(value = "答案1")
    private String an1;

    /** 答案2 */
    @TableField("an2")
    @ApiModelProperty(value = "答案2")
    private String an2;

    /** 答案3 */
    @TableField("an3")
    @ApiModelProperty(value = "答案3")
    private String an3;

    /** 答案4 */
    @TableField("an4")
    @ApiModelProperty(value = "答案4")
    private String an4;

    /** 答案5 */
    @TableField("an5")
    @ApiModelProperty(value = "答案5")
    private String an5;

    /** 答案6 */
    @TableField("an6")
    @ApiModelProperty(value = "答案6")
    private String an6;

    /** 答案7 */
    @TableField("an7")
    @ApiModelProperty(value = "答案7")
    private String an7;

    /** 科目 */
    @TableField("kemu")
    @ApiModelProperty(value = "科目")
    private Long kemu;

    /** 0:小车(313) 1:货车(325) 2:客车(328) 3:摩托车(40) */
    @TableField("cartype")
    @ApiModelProperty(value = "0:小车(313) 1:货车(325) 2:客车(328) 3:摩托车(40)")
    private String cartype;


}
