package com.miaxis.question.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.question.domain.QuestionInfoKtGet;

/**
 * 获取快通题库Mapper接口
 *
 * @author miaxis
 * @date 2022-04-08
 */
public interface QuestionInfoKtGetMapper extends BaseMapper<QuestionInfoKtGet> {
    /**
     * 查询获取快通题库列表
     *
     * @param questionInfoKtGet 获取快通题库
     * @return 获取快通题库集合
     */
    public List<QuestionInfoKtGet> selectQuestionInfoKtGetList(QuestionInfoKtGet questionInfoKtGet);

    public int selectQuestionInfoKtGetCount(QuestionInfoKtGet questionInfoKtGet);


    /**
     * ExplainGif
     * @return
     */
    public List<QuestionInfoKtGet> selectQuestionInfoKtGetExplainGifList();

    /**
     * ExplainMp3
     * @return
     */
    public List<QuestionInfoKtGet> selectQuestionInfoKtGetExplainMp3List();

    /**
     * Image
     * @return
     */
    public List<QuestionInfoKtGet> selectQuestionInfoKtGetImageList();

    /**
     * ImageYdt
     * @return
     */
    public List<QuestionInfoKtGet> selectQuestionInfoKtGetImageYdtList();

    /**
     * Issuemp3
     * @return
     */
    public List<QuestionInfoKtGet> selectQuestionInfoKtGetIssuemp3List();

    /**
     * Answermp3
     * @return
     */
    public List<QuestionInfoKtGet> selectQuestionInfoKtGetAnswermp3List();

    /**
     * Explainjsmp3
     * @return
     */
    public List<QuestionInfoKtGet> selectQuestionInfoKtGetExplainjsmp3List();



}
