package com.miaxis.question.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.question.domain.QuestionInfoKtNew;

/**
 * 获取快通题库Mapper接口
 *
 * @author miaxis
 * @date 2023-11-03
 */
public interface QuestionInfoKtNewMapper extends BaseMapper<QuestionInfoKtNew> {
    /**
     * 查询获取快通题库列表
     *
     * @param questionInfoKtNew 获取快通题库
     * @return 获取快通题库集合
     */
    public List<QuestionInfoKtNew> selectQuestionInfoKtNewList(QuestionInfoKtNew questionInfoKtNew);

    int selectQuestionInfoKtNewCount(QuestionInfoKtNew questionInfoKtNew);

    List<QuestionInfoKtNew> selectQuestionInfoKtNewExplainGifList();

    List<QuestionInfoKtNew> selectQuestionInfoKtNewExplainMp3List();

    List<QuestionInfoKtNew> selectQuestionInfoKtNewImageList();

    List<QuestionInfoKtNew> selectQuestionInfoKtNewImageYdtList();

    List<QuestionInfoKtNew> selectQuestionInfoKtNewIssuemp3List();

    List<QuestionInfoKtNew> selectQuestionInfoKtNewAnswermp3List();

    List<QuestionInfoKtNew> selectQuestionInfoKtNewExplainjsmp3List();
}
