package com.miaxis.question.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.question.domain.QuestionInfoTwo;

/**
 * 202204题库Mapper接口
 *
 * @author miaxis
 * @date 2022-03-28
 */
public interface QuestionInfoTwoMapper extends BaseMapper<QuestionInfoTwo> {
    /**
     * 查询202204题库列表
     *
     * @param questionInfoTwo 202204题库
     * @return 202204题库集合
     */
    public List<QuestionInfoTwo> selectQuestionInfoTwoList(QuestionInfoTwo questionInfoTwo);

}
