package com.miaxis.question.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.question.domain.QuestionYdtJs;

/**
 * 驾校一点通解释Mapper接口
 *
 * @author miaxis
 * @date 2022-05-06
 */
public interface QuestionYdtJsMapper extends BaseMapper<QuestionYdtJs> {
    /**
     * 查询驾校一点通解释列表
     *
     * @param questionYdtJs 驾校一点通解释
     * @return 驾校一点通解释集合
     */
    public List<QuestionYdtJs> selectQuestionYdtJsList(QuestionYdtJs questionYdtJs);


    public List<QuestionYdtJs> selectQuestionYdtJsList2(QuestionYdtJs questionYdtJs);
}
