package com.miaxis.question.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.question.domain.TAppExamRule;

/**
 * 考试取题Mapper接口
 *
 * @author miaxis
 * @date 2022-05-23
 */
public interface TAppExamRuleMapper extends BaseMapper<TAppExamRule> {
    /**
     * 查询考试取题列表
     *
     * @param tAppExamRule 考试取题
     * @return 考试取题集合
     */
    public List<TAppExamRule> selectTAppExamRuleList(TAppExamRule tAppExamRule);

}
