package com.miaxis.question.service;

import java.util.List;
import com.miaxis.question.domain.QuestionFree;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 *  免费试用题Service接口
 *
 * @author miaxis
 * @date 2022-06-10
 */
public interface IQuestionFreeService extends IService<QuestionFree>{
    /**
     * 查询 免费试用题列表
     *
     * @param questionFree  免费试用题
     * @return  免费试用题集合
     */
    public List<QuestionFree> selectQuestionFreeList(QuestionFree questionFree);
}
