package com.miaxis.question.service;

import java.util.List;
import com.miaxis.question.domain.QuestionInfoKtNew;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 获取快通题库Service接口
 *
 * @author miaxis
 * @date 2023-11-03
 */
public interface IQuestionInfoKtNewService extends IService<QuestionInfoKtNew>{
    /**
     * 查询获取快通题库列表
     *
     * @param questionInfoKtNew 获取快通题库
     * @return 获取快通题库集合
     */
    public List<QuestionInfoKtNew> selectQuestionInfoKtNewList(QuestionInfoKtNew questionInfoKtNew);


    public int selectQuestionInfoKtNewCount(QuestionInfoKtNew questionInfoKtNew);


    /**
     * ExplainGif
     * @return
     */
    public List<QuestionInfoKtNew> selectQuestionInfoKtNewExplainGifList();

    /**
     * ExplainMp3
     * @return
     */
    public List<QuestionInfoKtNew> selectQuestionInfoKtNewExplainMp3List();

    /**
     * Image
     * @return
     */
    public List<QuestionInfoKtNew> selectQuestionInfoKtNewImageList() ;

    /**
     * ImageYdt
     * @return
     */
    public List<QuestionInfoKtNew> selectQuestionInfoKtNewImageYdtList() ;

    /**
     * Issuemp3
     * @return
     */
    public List<QuestionInfoKtNew> selectQuestionInfoKtNewIssuemp3List();

    /**
     * Answermp3
     * @return
     */
    public List<QuestionInfoKtNew> selectQuestionInfoKtNewAnswermp3List() ;

    /**
     * Explainjsmp3
     * @return
     */
    public List<QuestionInfoKtNew> selectQuestionInfoKtNewExplainjsmp3List() ;
}
