package com.miaxis.question.service;

import java.util.List;
import com.miaxis.question.domain.QuestionYdtJs;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 驾校一点通解释Service接口
 *
 * @author miaxis
 * @date 2022-05-06
 */
public interface IQuestionYdtJsService extends IService<QuestionYdtJs>{
    /**
     * 查询驾校一点通解释列表
     *
     * @param questionYdtJs 驾校一点通解释
     * @return 驾校一点通解释集合
     */
    public List<QuestionYdtJs> selectQuestionYdtJsList(QuestionYdtJs questionYdtJs);

    public List<QuestionYdtJs> selectQuestionYdtJsList2(QuestionYdtJs questionYdtJs);
}
