package com.miaxis.teachingVideo.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 教学视频对象入参
 * @author wwl
 * @version 1.0
 * @date 2021/7/2 14:25
 */
@Data
@ApiModel(value = "TeachingVideoInfoTypeSubjectDto", description = "教学视频subject对象")
public class TeachingVideoInfoTypeSubjectDto implements Serializable {


    @ApiModelProperty(value = "所属科目")
    private Integer subject;


}
