package com.miaxis.test;

import com.alibaba.fastjson.JSONObject;
import com.miaxis.ZzjsApplication;
import com.miaxis.common.core.domain.entity.TwzdUserInfo;
import com.miaxis.common.enums.OrderStatusEnum;
import com.miaxis.common.exception.CustomException;
import com.miaxis.feign.dto.FilmDTO;
import com.miaxis.feign.dto.FilmMcpData;
import com.miaxis.feign.dto.FilmXdResult;
import com.miaxis.twzduser.service.ITwzdIUserInfoService;
import com.miaxis.wx.domain.WxOrder;
import com.miaxis.wx.dto.WxNotifyReturnDTO;
import com.miaxis.wx.dto.WxOrderCreateDTO;
import com.miaxis.wx.service.IWxOrderService;
import com.miaxis.wx.service.IRefundRecordService;
import com.wechat.pay.contrib.apache.httpclient.auth.AutoUpdateCertificatesVerifier;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.scheduling.concurrent.ThreadPoolTaskExecutor;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.junit4.SpringRunner;

import java.math.BigInteger;
import java.security.cert.X509Certificate;

import static com.miaxis.common.utils.OrderCodeFactory.getOrderCode;

@ActiveProfiles("prodTest")
@SpringBootTest(classes = ZzjsApplication.class)
@RunWith(SpringRunner.class)
public class NormalTest {
    @Autowired
    private IWxOrderService wxOrderService;

    @Autowired
    private IRefundRecordService refundRecordService;


    @Autowired
    private ITwzdIUserInfoService twzdIUserInfoService;
    @Test
    public void test1() throws Exception {
        WxOrder wxOrder = wxOrderService.getByOutTradeNo("12022020913473284017326528036733");
        WxNotifyReturnDTO refund = refundRecordService.refund(wxOrder, "12022020913473284017326528036734","商品购买失败退款");

    }


    @Test
    public void test2() throws Exception {
        TwzdUserInfo twzdUserInfo = twzdIUserInfoService.getUserByUnionId("oqEKX6NC9wDu7TEAvQ4zb0Kq3EQ4");
        System.out.println("11");
    }











}
