package com.miaxis.question.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 *  免费试用题对象 question_free
 *
 * @author miaxis
 * @date 2022-06-10
 */
@Data
@TableName("question_free")
@ApiModel(value = "QuestionFree", description = " 免费试用题对象 question_free")
public class QuestionFree extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** ID */
    @TableId(value = "id",type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;

    /** ydt ID */
    @Excel(name = "ydt ID")
    @TableField("id_ydt")
    @ApiModelProperty(value = "ydt ID")
    private Long idYdt;

    /** 科目 */
    @Excel(name = "科目")
    @TableField("subject")
    @ApiModelProperty(value = "科目")
    private Integer subject;

    /** 免费题排序 */
    @Excel(name = "免费题排序")
    @TableField("free_sort")
    @ApiModelProperty(value = "免费题排序")
    private Long freeSort;


}
