package com.miaxis.question.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 * 一点通整合题库对象 web_note_all
 *
 * @author miaxis
 * @date 2022-05-06
 */
@Data
@TableName("web_note_all")
@ApiModel(value = "WebNoteAll", description = "一点通整合题库对象 web_note_all")
public class WebNoteAll extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** ID */
    @Excel(name = "ID")
    @TableField("ID")
    @ApiModelProperty(value = "ID")
    private Long id;

    /** Type */
    @Excel(name = "Type")
    @TableField("Type")
    @ApiModelProperty(value = "Type")
    private Long type;

    /** intNumber */
    @Excel(name = "intNumber")
    @TableField("intNumber")
    @ApiModelProperty(value = "intNumber")
    private String intnumber;

    /** strTppe */
    @Excel(name = "strTppe")
    @TableField("strTppe")
    @ApiModelProperty(value = "strTppe")
    private String strtppe;

    /** strType_l */
    @Excel(name = "strType_l")
    @TableField("strType_l")
    @ApiModelProperty(value = "strType_l")
    private String strtypeL;

    /** LicenseType */
    @Excel(name = "LicenseType")
    @TableField("LicenseType")
    @ApiModelProperty(value = "LicenseType")
    private String licensetype;

    /** Question */
    @Excel(name = "Question")
    @TableField("Question")
    @ApiModelProperty(value = "Question")
    private String question;

    /** An1 */
    @Excel(name = "An1")
    @TableField("An1")
    @ApiModelProperty(value = "An1")
    private String an1;

    /** An2 */
    @Excel(name = "An2")
    @TableField("An2")
    @ApiModelProperty(value = "An2")
    private String an2;

    /** An3 */
    @Excel(name = "An3")
    @TableField("An3")
    @ApiModelProperty(value = "An3")
    private String an3;

    /** An4 */
    @Excel(name = "An4")
    @TableField("An4")
    @ApiModelProperty(value = "An4")
    private String an4;

    /** An5 */
    @Excel(name = "An5")
    @TableField("An5")
    @ApiModelProperty(value = "An5")
    private String an5;

    /** An6 */
    @Excel(name = "An6")
    @TableField("An6")
    @ApiModelProperty(value = "An6")
    private String an6;

    /** An7 */
    @Excel(name = "An7")
    @TableField("An7")
    @ApiModelProperty(value = "An7")
    private String an7;

    /** AnswerTrue */
    @Excel(name = "AnswerTrue")
    @TableField("AnswerTrue")
    @ApiModelProperty(value = "AnswerTrue")
    private String answertrue;

    /** explain */
    @Excel(name = "explain")
    @TableField("explain1")
    @ApiModelProperty(value = "explain")
    private String explain;

    /** BestAnswerId */
    @Excel(name = "BestAnswerId")
    @TableField("BestAnswerId")
    @ApiModelProperty(value = "BestAnswerId")
    private String bestanswerid;

    /** kemu */
    @Excel(name = "kemu")
    @TableField("kemu")
    @ApiModelProperty(value = "kemu")
    private Long kemu;

    /** jieshi_from */
    @Excel(name = "jieshi_from")
    @TableField("jieshi_from")
    @ApiModelProperty(value = "jieshi_from")
    private String jieshiFrom;

    /** moretypes */
    @Excel(name = "moretypes")
    @TableField("moretypes")
    @ApiModelProperty(value = "moretypes")
    private String moretypes;

    /** chapterid */
    @Excel(name = "chapterid")
    @TableField("chapterid")
    @ApiModelProperty(value = "chapterid")
    private Long chapterid;

    /** sinaimg */
    @Excel(name = "sinaimg")
    @TableField("sinaimg")
    @ApiModelProperty(value = "sinaimg")
    private String sinaimg;

    /** video_url */
    @Excel(name = "video_url")
    @TableField("video_url")
    @ApiModelProperty(value = "video_url")
    private String videoUrl;

    /** diff_degree */
    @Excel(name = "diff_degree")
    @TableField("diff_degree")
    @ApiModelProperty(value = "diff_degree")
    private Long diffDegree;

    /** cityid */
    @Excel(name = "cityid")
    @TableField("cityid")
    @ApiModelProperty(value = "cityid")
    private Long cityid;

    /** gs */
    @Excel(name = "gs")
    @TableField("gs")
    @ApiModelProperty(value = "gs")
    private String gs;

    /** keyword */
    @Excel(name = "keyword")
    @TableField("keyword")
    @ApiModelProperty(value = "keyword")
    private String keyword;

    /** error_rate */
    @Excel(name = "error_rate")
    @TableField("error_rate")
    @ApiModelProperty(value = "error_rate")
    private Long errorRate;

    /** media_url */
    @Excel(name = "media_url")
    @TableField("media_url")
    @ApiModelProperty(value = "media_url")
    private String mediaUrl;

    /** show_option_type */
    @Excel(name = "show_option_type")
    @TableField("show_option_type")
    @ApiModelProperty(value = "show_option_type")
    private Long showOptionType;

    /** question_source */
    @Excel(name = "question_source")
    @TableField("question_source")
    @ApiModelProperty(value = "question_source")
    private Long questionSource;

    /** best_explain_new */
    @Excel(name = "best_explain_new")
    @TableField("best_explain_new")
    @ApiModelProperty(value = "best_explain_new")
    private String bestExplainNew;


    @Excel(name = "question_audio")
    @TableField("question_audio")
    @ApiModelProperty(value = "question_audio")
    private String questionAudio;

    @Excel(name = "answer_audio")
    @TableField("answer_audio")
    @ApiModelProperty(value = "answer_audio")
    private String answerAudio;

    @Excel(name = "order_id")
    @TableField("order_id")
    @ApiModelProperty(value = "order_id")
    private Integer orderId;

    @Excel(name = "red_question")
    @TableField("red_question")
    @ApiModelProperty(value = "red_question")
    private String redQuestion;


    @Excel(name = "category")
    @TableField("category")
    @ApiModelProperty(value = "category")
    private Integer category;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setType(Long type){
        this.type = type;
    }

    public Long getType(){
        return type;
    }
    public void setIntnumber(String intnumber){
        this.intnumber = intnumber;
    }

    public String getIntnumber(){
        return intnumber;
    }
    public void setStrtppe(String strtppe){
        this.strtppe = strtppe;
    }

    public String getStrtppe(){
        return strtppe;
    }
    public void setStrtypeL(String strtypeL){
        this.strtypeL = strtypeL;
    }

    public String getStrtypeL(){
        return strtypeL;
    }
    public void setLicensetype(String licensetype){
        this.licensetype = licensetype;
    }

    public String getLicensetype(){
        return licensetype;
    }
    public void setQuestion(String question){
        this.question = question;
    }

    public String getQuestion(){
        return question;
    }
    public void setAn1(String an1){
        this.an1 = an1;
    }

    public String getAn1(){
        return an1;
    }
    public void setAn2(String an2){
        this.an2 = an2;
    }

    public String getAn2(){
        return an2;
    }
    public void setAn3(String an3){
        this.an3 = an3;
    }

    public String getAn3(){
        return an3;
    }
    public void setAn4(String an4){
        this.an4 = an4;
    }

    public String getAn4(){
        return an4;
    }
    public void setAn5(String an5){
        this.an5 = an5;
    }

    public String getAn5(){
        return an5;
    }
    public void setAn6(String an6){
        this.an6 = an6;
    }

    public String getAn6(){
        return an6;
    }
    public void setAn7(String an7){
        this.an7 = an7;
    }

    public String getAn7(){
        return an7;
    }
    public void setAnswertrue(String answertrue){
        this.answertrue = answertrue;
    }

    public String getAnswertrue(){
        return answertrue;
    }
    public void setExplain(String explain){
        this.explain = explain;
    }

    public String getExplain(){
        return explain;
    }
    public void setBestanswerid(String bestanswerid){
        this.bestanswerid = bestanswerid;
    }

    public String getBestanswerid(){
        return bestanswerid;
    }
    public void setKemu(Long kemu){
        this.kemu = kemu;
    }

    public Long getKemu(){
        return kemu;
    }
    public void setJieshiFrom(String jieshiFrom){
        this.jieshiFrom = jieshiFrom;
    }

    public String getJieshiFrom(){
        return jieshiFrom;
    }
    public void setMoretypes(String moretypes){
        this.moretypes = moretypes;
    }

    public String getMoretypes(){
        return moretypes;
    }
    public void setChapterid(Long chapterid){
        this.chapterid = chapterid;
    }

    public Long getChapterid(){
        return chapterid;
    }
    public void setSinaimg(String sinaimg){
        this.sinaimg = sinaimg;
    }

    public String getSinaimg(){
        return sinaimg;
    }
    public void setVideoUrl(String videoUrl){
        this.videoUrl = videoUrl;
    }

    public String getVideoUrl(){
        return videoUrl;
    }
    public void setDiffDegree(Long diffDegree){
        this.diffDegree = diffDegree;
    }

    public Long getDiffDegree(){
        return diffDegree;
    }
    public void setCityid(Long cityid){
        this.cityid = cityid;
    }

    public Long getCityid(){
        return cityid;
    }
    public void setGs(String gs){
        this.gs = gs;
    }

    public String getGs(){
        return gs;
    }
    public void setKeyword(String keyword){
        this.keyword = keyword;
    }

    public String getKeyword(){
        return keyword;
    }
    public void setErrorRate(Long errorRate){
        this.errorRate = errorRate;
    }

    public Long getErrorRate(){
        return errorRate;
    }
    public void setMediaUrl(String mediaUrl){
        this.mediaUrl = mediaUrl;
    }

    public String getMediaUrl(){
        return mediaUrl;
    }
    public void setShowOptionType(Long showOptionType){
        this.showOptionType = showOptionType;
    }

    public Long getShowOptionType(){
        return showOptionType;
    }
    public void setQuestionSource(Long questionSource){
        this.questionSource = questionSource;
    }

    public Long getQuestionSource(){
        return questionSource;
    }
    public void setBestExplainNew(String bestExplainNew){
        this.bestExplainNew = bestExplainNew;
    }

    public String getBestExplainNew(){
        return bestExplainNew;
    }




    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("type", getType())
            .append("intnumber", getIntnumber())
            .append("strtppe", getStrtppe())
            .append("strtypeL", getStrtypeL())
            .append("licensetype", getLicensetype())
            .append("question", getQuestion())
            .append("an1", getAn1())
            .append("an2", getAn2())
            .append("an3", getAn3())
            .append("an4", getAn4())
            .append("an5", getAn5())
            .append("an6", getAn6())
            .append("an7", getAn7())
            .append("answertrue", getAnswertrue())
            .append("explain", getExplain())
            .append("bestanswerid", getBestanswerid())
            .append("kemu", getKemu())
            .append("jieshiFrom", getJieshiFrom())
            .append("moretypes", getMoretypes())
            .append("chapterid", getChapterid())
            .append("sinaimg", getSinaimg())
            .append("videoUrl", getVideoUrl())
            .append("diffDegree", getDiffDegree())
            .append("cityid", getCityid())
            .append("gs", getGs())
            .append("keyword", getKeyword())
            .append("errorRate", getErrorRate())
            .append("mediaUrl", getMediaUrl())
            .append("showOptionType", getShowOptionType())
            .append("questionSource", getQuestionSource())
            .append("bestExplainNew", getBestExplainNew())
            .toString();
    }
}
