package com.miaxis.question.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 考试取题对象 t_app_exam_rule
 *
 * @author miaxis
 * @date 2022-05-23
 */
@Data
@ApiModel(value = "TAppExamRuleDTO", description = "t_app_exam_rule")
public class TAppExamRuleDTO {
    private static final long serialVersionUID = 1L;


    /** 车型 */
    @ApiModelProperty(value = "车型")
    private String gs;

    /** 科目 */
    @ApiModelProperty(value = "科目")
    private Long kemu;

    /** 章节ID */
    @ApiModelProperty(value = "章节ID")
    private Long chapterId;




}
