package com.miaxis.question.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.question.domain.QuestionFree;

/**
 *  免费试用题Mapper接口
 *
 * @author miaxis
 * @date 2022-06-10
 */
public interface QuestionFreeMapper extends BaseMapper<QuestionFree> {
    /**
     * 查询 免费试用题列表
     *
     * @param questionFree  免费试用题
     * @return  免费试用题集合
     */
    public List<QuestionFree> selectQuestionFreeList(QuestionFree questionFree);

}
