package com.miaxis.question.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.question.domain.QuestionInfoGet;

/**
 * 202204题库获取Mapper接口
 *
 * @author miaxis
 * @date 2022-03-30
 */
public interface QuestionInfoGetMapper extends BaseMapper<QuestionInfoGet> {
    /**
     * 查询202204题库获取列表
     *
     * @param questionInfoGet 202204题库获取
     * @return 202204题库获取集合
     */
    public List<QuestionInfoGet> selectQuestionInfoGetList(QuestionInfoGet questionInfoGet);

}
