package com.miaxis.question.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.question.domain.QuestionInfo;
import com.miaxis.question.dto.*;

import java.util.List;

/**
 * 题库Mapper接口
 *
 * @author miaxis
 * @date 2021-10-20
 */
public interface QuestionInfoMapper extends BaseMapper<QuestionInfo> {
    /**
     * 查询题库列表
     *
     * @param
     * @return 题库集合
     */
    List<QuestionInfo> selectQuestionInfoList(QuestionInfoDTO questionInfoDTO);

    List<QuestionInfo> selectQuestionInfoListByYdtIds(Long[] ids);

    List<QuestionInfo> selectQuestionInfoListByIds(Long[] ids);

    List<QuestionInfo> selectTestQuestionInfoList(QuestionInfoTestDTO questionInfoTestDTO);
}
