package com.miaxis.question.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.question.domain.WebNoteAll;

/**
 * 一点通整合题库Mapper接口
 *
 * @author miaxis
 * @date 2022-05-06
 */
public interface WebNoteAllMapper extends BaseMapper<WebNoteAll> {
    /**
     * 查询一点通整合题库列表
     *
     * @param webNoteAll 一点通整合题库
     * @return 一点通整合题库集合
     */
    public List<WebNoteAll> selectWebNoteAllList(WebNoteAll webNoteAll);

    List<WebNoteAll> selectWebNoteAllMediaUrlList();
}
