package com.miaxis.question.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.question.domain.WebNoteJs;

/**
 * 题目技巧解释Mapper接口
 *
 * @author miaxis
 * @date 2023-08-15
 */
public interface WebNoteJsMapper extends BaseMapper<WebNoteJs> {
    /**
     * 查询题目技巧解释列表
     *
     * @param webNoteJs 题目技巧解释
     * @return 题目技巧解释集合
     */
    public List<WebNoteJs> selectWebNoteJsList(WebNoteJs webNoteJs);

}
