package com.miaxis.question.service;

import java.util.List;
import com.miaxis.question.domain.QuestionColumn;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 题库分类Service接口
 *
 * @author miaxis
 * @date 2023-11-03
 */
public interface IQuestionColumnService extends IService<QuestionColumn>{
    /**
     * 查询题库分类列表
     *
     * @param questionColumn 题库分类
     * @return 题库分类集合
     */
    List<QuestionColumn> selectQuestionColumnList(QuestionColumn questionColumn);


    int selectQuestionColumnCount(QuestionColumn questionColumn);

}
