package com.miaxis.question.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.question.domain.QuestionInfo;
import com.miaxis.question.dto.*;

import java.util.List;

/**
 * 题库Service接口
 *
 * @author miaxis
 * @date 2021-10-20
 */
public interface IQuestionInfoService extends IService<QuestionInfo>{
    /**
     * 查询题库列表
     *
     * @param
     * @return 题库集合
     */
    List<QuestionInfo> selectQuestionInfoList(QuestionInfoDTO questionInfoDTO);

    List<QuestionInfo> selectQuestionInfoListByIds(Long[] ids);

    List<QuestionInfo> selectQuestionInfoListByYdtIds(Long[] ids);

    List<QuestionInfo> selectTestQuestionInfoList(QuestionInfoTestDTO questionInfoTestDTO);

    List<QuestionInfo> selectTestK14QuestionInfoList(QuestionInfoTestDTO questionInfoTestDTO);

}

