package com.miaxis.question.service;

import java.util.List;
import com.miaxis.question.domain.WebNoteAll;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 一点通整合题库Service接口
 *
 * @author miaxis
 * @date 2022-05-06
 */
public interface IWebNoteAllService extends IService<WebNoteAll>{
    /**
     * 查询一点通整合题库列表
     *
     * @param webNoteAll 一点通整合题库
     * @return 一点通整合题库集合
     */
    public List<WebNoteAll> selectWebNoteAllList(WebNoteAll webNoteAll);


    public List<WebNoteAll> selectWebNoteAllMediaUrlList();
}
