package com.miaxis.question.service;

import java.util.List;
import com.miaxis.question.domain.WebNoteJs;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 题目技巧解释Service接口
 *
 * @author miaxis
 * @date 2023-08-15
 */
public interface IWebNoteJsService extends IService<WebNoteJs>{
    /**
     * 查询题目技巧解释列表
     *
     * @param webNoteJs 题目技巧解释
     * @return 题目技巧解释集合
     */
    public List<WebNoteJs> selectWebNoteJsList(WebNoteJs webNoteJs);
}
