package com.miaxis.question.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.miaxis.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;
import com.miaxis.question.mapper.QuestionInfoGetMapper;
import com.miaxis.question.domain.QuestionInfoGet;
import com.miaxis.question.service.IQuestionInfoGetService;

/**
 * 202204题库获取Service业务层处理
 *
 * @author miaxis
 * @date 2022-03-30
 */
@Service
public class QuestionInfoGetServiceImpl extends ServiceImpl<QuestionInfoGetMapper, QuestionInfoGet> implements IQuestionInfoGetService {
    @Autowired
    private QuestionInfoGetMapper questionInfoGetMapper;

    /**
     * 查询202204题库获取列表
     *
     * @param questionInfoGet 202204题库获取
     * @return 202204题库获取
     */
    @Override
    public List<QuestionInfoGet> selectQuestionInfoGetList(QuestionInfoGet questionInfoGet){
        return questionInfoGetMapper.selectQuestionInfoGetList(questionInfoGet);
    }
}
