package com.miaxis.question.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.miaxis.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;
import com.miaxis.question.mapper.QuestionInfoTwoMapper;
import com.miaxis.question.domain.QuestionInfoTwo;
import com.miaxis.question.service.IQuestionInfoTwoService;

/**
 * 202204题库Service业务层处理
 *
 * @author miaxis
 * @date 2022-03-28
 */
@Service
public class QuestionInfoTwoServiceImpl extends ServiceImpl<QuestionInfoTwoMapper, QuestionInfoTwo> implements IQuestionInfoTwoService {
    @Autowired
    private QuestionInfoTwoMapper questionInfoTwoMapper;

    /**
     * 查询202204题库列表
     *
     * @param questionInfoTwo 202204题库
     * @return 202204题库
     */
    @Override
    public List<QuestionInfoTwo> selectQuestionInfoTwoList(QuestionInfoTwo questionInfoTwo){
        return questionInfoTwoMapper.selectQuestionInfoTwoList(questionInfoTwo);
    }
}
