package com.miaxis.twzduser.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.common.core.domain.entity.TwzdUserInfo;

/**
 * 用户Service接口
 *
 * @author miaxis
 * @date 2021-08-18
 */
public interface ITwzdIUserInfoService {
    /**
     * 查询用户列表
     *
     * @param  unionId
     * @return 用户集合
     */
    public TwzdUserInfo getUserByUnionId(String unionId);

}
