package com.miaxis.twzduser.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.miaxis.common.annotation.DataSource;
import com.miaxis.common.core.domain.entity.TwzdUserInfo;
import com.miaxis.common.core.domain.entity.UserInfo;
import com.miaxis.common.enums.DataSourceTypeEnum;
import com.miaxis.twzduser.mapper.TwzdUserInfoMapper;
import com.miaxis.twzduser.service.ITwzdIUserInfoService;
import com.miaxis.user.mapper.UserInfoMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.Map;
import java.util.function.Function;

/**
 * 用户Service业务层处理
 *
 * @author miaxis
 * @date 2021-08-18
 */
@Service
@DataSource(value = DataSourceTypeEnum.NEWGZPT)
public class TwzdIUserInfoServiceImpl implements ITwzdIUserInfoService {
    @Autowired
    private TwzdUserInfoMapper userInfoMapper;



    @Override
    public TwzdUserInfo getUserByUnionId(String unionId) {
        return userInfoMapper.getUserByUnionId(unionId);
    }
}
